freemarker.debug

## Class EnvironmentSuspendedEvent

- java.lang.Object
- - java.util.EventObject
  - - freemarker.debug.EnvironmentSuspendedEvent

All Implemented Interfaces:
  Serializable

    public class EnvironmentSuspendedEvent
    extends EventObject

Event describing a suspension of an environment (ie because it hit a breakpoint).

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentSuspendedEvent(Object source, String templateName, int line, DebuggedEnvironment env)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DebuggedEnvironment` `getEnvironment()` The environment that was suspended
`int` `getLine()` The line number in the template where the execution of the environment was suspended.
`String` `getName()` The name of the template where the execution of the environment was suspended

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentSuspendedEvent

    public EnvironmentSuspendedEvent(Object source,
                                     String templateName,
                                     int line,
                                     DebuggedEnvironment env)

### Method Detail

#### getName

    public String getName()

The name of the template where the execution of the environment was suspended

Returns:
  String the template name

#### getLine

    public int getLine()

The line number in the template where the execution of the environment was suspended.

Returns:
  int the line number

#### getEnvironment

    public DebuggedEnvironment getEnvironment()

The environment that was suspended

Returns:
  DebuggedEnvironment